<section>
  <!--<article>
    <h3>Interpolation/Interpolação</h3>
    <p>String renderizada com interpolação: {{ url }}</p>
    <p>Resultado de 1 + 1 é: {{ 1 + 1 }}</p>
    <p>Resultado de 1 + 1 não é {{ 1 + 1 + getValor()}}</p>
    <p>Curso de Angular e gosto do curso: {{ cursoAngular && getCurtirCurso() }}</p>
  </article>

  <article>
    <h3>Property binding</h3>
    <img src="{{ urlImagem }}">
    <img [src]="urlImagem">
    <img bind-src="urlImagem">
  </article> -->

  <!--   <article>
    <h3>Class e Style Binding</h3>
    <div>
      Selecione uma classe:
      <select #classe (change)="0">
        <option value="alert-success">Sucesso</option>
        <option value="alert-info">Info</option>
        <option value="alert-warning">Alerta</option>
        <option value="alert-danger">Erro</option>
      </select>
      <br>
      <br>
      <div class="alert {{ classe.value }}" role="alert">
        Texto colorido conforme valor do combobox
      </div>
      <div class="alert" role="alert" [class.alert-success]="classe.value == 'alert-success'">
        A simple success alert—check it out!
      </div>
      <div class="alert" role="alert" [class.alert-info]="classe.value == 'alert-info'">
        A simple danger alert—check it out!
      </div>
      <div class="alert" role="alert" [class.alert-warning]="classe.value == 'alert-warning'">
        A simple warning alert—check it out!
      </div>
      <div class="alert" role="alert" [class.alert-danger]="classe.value == 'alert-danger'">
        A simple info alert—check it out!
      </div>
      <div class="alert alert-danger" role="alert" [style.display]="classe.value == 'alert-danger' ? 'block' : 'none'">
        Esse texto somente aparece em caso de erro
      </div>
    </div>
  </article> -->
  <article>
    <h3>Event Binding</h3>
    <div>
      <button class="btn btn-primary" (click)="botaoClicado()"> Me clique!</button>
    </div>
    <br><br>
    <input type="text" (keyup)="onKeyUp($event)" (keyup.enter)="salvarValor(campoInput.value)"
      (blur)="salvarValor(campoInput.value)" #campoInput>
    <p>Valor atual: {{ valorAtual }}</p>
    <p>Valor salvo: {{ valorSalvo }}</p>
    <br>
    <span (mouseover)="onMouseOverOut()" (mouseout)="onMouseOverOut()" [class.highlight]="isMouseOver">Passe o mouse
      sobre mim</span>
  </article>
</section>